package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglAbfcDto;
import com.mosty.base.model.entity.jcgl.TbJcglAbfc;
import com.mosty.base.model.query.jcgl.TbJcglAbfcQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbJcglAbfcService {

    @ApiOperation("添加安保风采")
    int addEntity(TbJcglAbfcDto dto);

    @ApiOperation("修改安保风采")
    int editEntity(TbJcglAbfcDto dto);

    @ApiOperation("批量删除安保风采")
    void deleteEntity(List<String> ids);

    @ApiOperation("查询安保风采列表")
    List<TbJcglAbfc> getPageList(TbJcglAbfcQuery dto);

    @ApiOperation("查询安保风采详情")
    TbJcglAbfc getInfo(String id);
}
